libgimpprint API Reference: paper_adjustment_t struct Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# paper_adjustment_t Struct Reference

`#include <print-escp2.h>`

## Data Fields
const char * | name
float | base_density
float | subchannel_cutoff
float | k_transition
float | k_lower
float | k_upper
float | cyan
float | magenta
float | yellow
float | black
float | saturation
float | gamma
const char * | hue_adjustment
const char * | lum_adjustment
const char * | sat_adjustment

## Field Documentation

float paper_adjustment_t::base_density

| Definition at line 86 of file print-escp2.h. Referenced by adjust_density_and_ink_type().

float paper_adjustment_t::black

| Definition at line 94 of file print-escp2.h. Referenced by adjust_print_quality().

float paper_adjustment_t::cyan

| Definition at line 91 of file print-escp2.h. Referenced by adjust_print_quality().

float paper_adjustment_t::gamma

| Definition at line 96 of file print-escp2.h. Referenced by adjust_print_quality().

const char* paper_adjustment_t::hue_adjustment

| Definition at line 97 of file print-escp2.h. Referenced by adjust_print_quality().

float paper_adjustment_t::k_lower

| Definition at line 89 of file print-escp2.h. Referenced by adjust_print_quality().

float paper_adjustment_t::k_transition

| Definition at line 88 of file print-escp2.h. Referenced by adjust_print_quality().

float paper_adjustment_t::k_upper

| Definition at line 90 of file print-escp2.h. Referenced by adjust_print_quality().

const char* paper_adjustment_t::lum_adjustment

| Definition at line 98 of file print-escp2.h. Referenced by adjust_print_quality().

float paper_adjustment_t::magenta

| Definition at line 92 of file print-escp2.h. Referenced by adjust_print_quality().

const char* paper_adjustment_t::name

| Definition at line 85 of file print-escp2.h. Referenced by get_media_adjustment().

const char* paper_adjustment_t::sat_adjustment

| Definition at line 99 of file print-escp2.h. Referenced by adjust_print_quality().

float paper_adjustment_t::saturation

| Definition at line 95 of file print-escp2.h. Referenced by adjust_print_quality().

float paper_adjustment_t::subchannel_cutoff

| Definition at line 87 of file print-escp2.h. Referenced by setup_inks().

float paper_adjustment_t::yellow

| Definition at line 93 of file print-escp2.h. Referenced by adjust_print_quality().

The documentation for this struct was generated from the following file:

- src/main/print-escp2.h